#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <unistd.h>

#include <sys/neutrino.h>

#include "ipc_utils.h"

#ifdef IPC_SUPPORT_SCICLIENT
#include <ti/drv/sciclient/sciclient.h>
#include <ti/drv/ipc/ipc.h>
#endif

extern uint32_t gNumMsgs;
extern uint32_t gVerbose;

extern int32_t Ipc_echo_test(void);

#ifdef IPC_SUPPORT_SCICLIENT
void ipc_initSciclient()
{
  /* Sciclient initialization done by resource manager */

}
#endif

int main(int argc, char *argv[])
{
    int option;
    extern char *optarg;

    ThreadCtl(_NTO_TCTL_IO, 0);

    while ( (option = getopt(argc, argv, "vn:")) != -1)
    {
        switch (option)
        {
            case 'n':
                gNumMsgs = strtoul(optarg, 0, 0);
                break;
            case 'v':
                gVerbose++;
                break;
            default:
                fprintf(stderr,"Unsupported option '-%c'\n",option);
        }
    }

#ifdef IPC_SUPPORT_SCICLIENT
    ipc_initSciclient();
#endif

    Ipc_echo_test();
    return EXIT_SUCCESS;
}
