/*
 * Copyright (C) 2013 Texas Instruments Incorporated - http://www.ti.com/
 *
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/**
 *   \file  nimu_eth.h
 *
 *   \brief
 *      Header file for NIMU layer of CPSW Driver.
 *
 */

#ifndef NIMU_NDK_H_
#define NIMU_NDK_H_

#ifdef __cplusplus
extern "C" {
#endif

/*---------------------------------------------------------------------------*\
 |                                Header Files                                 |
 \*---------------------------------------------------------------------------*/

/* Standard language headers */

/* OS/Posix headers */

/* NDK Dependencies */
#include <ti/ndk/inc/stkmain.h>

/* Project dependency headers */

/*---------------------------------------------------------------------------*\
 |                           Global Macros/Defines                             |
 \*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*\
 |                           Global Typedefs/Enums                             |
 \*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*\
 |                         Global Variable Declarations                        |
 \*---------------------------------------------------------------------------*/

extern NIMU_DEVICE_TABLE_ENTRY NIMUDeviceTable[2];

/*---------------------------------------------------------------------------*\
 |                   Global Inline Function Definitions                        |
 \*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*\
 |                         Global Function Declarations                        |
 \*---------------------------------------------------------------------------*/

int NIMU_NDK_init(STKEVENT_Handle hEvent);

/*---------------------------------------------------------------------------*\
 |                                 End of File                                 |
 \*---------------------------------------------------------------------------*/

#ifdef __cplusplus
}
#endif

#endif /* NIMU_NDK_H_ */
