# File: cpsw_ut_component.mk
#       This file is component include make file of CPSW unit test.
# List of variables set in this file and their purpose:
# <mod>_RELPATH        - This is the relative path of the module, typically from
#                        top-level directory of the package
# <mod>_PATH           - This is the absolute path of the module. It derives from
#                        absolute path of the top-level directory (set in env.mk)
#                        and relative path set above
# <mod>_INCLUDE        - This is the path that has interface header files of the
#                        module. This can be multiple directories (space separated)
# <mod>_PKG_LIST       - Names of the modules (and sub-modules) that are a part
#                        part of this module, including itself.
# <mod>_BOARD_DEPENDENCY - "yes": means the code for this module depends on
#                             platform and the compiled obj/lib has to be kept
#                             under <platform> directory
#                             "no" or "" or if this variable is not defined: means
#                             this module has no platform dependent code and hence
#                             the obj/libs are not kept under <platform> dir.
# <mod>_CORE_DEPENDENCY     - "yes": means the code for this module depends on
#                             core and the compiled obj/lib has to be kept
#                             under <core> directory
#                             "no" or "" or if this variable is not defined: means
#                             this module has no core dependent code and hence
#                             the obj/libs are not kept under <core> dir.
# <mod>_APP_STAGE_FILES     - List of source files that belongs to the module
#                             <mod>, but that needs to be compiled at application
#                             build stage (in the context of the app). This is
#                             primarily for link time configurations or if the
#                             source file is dependent on options/defines that are
#                             application dependent. This can be left blank or
#                             not defined at all, in which case, it means there
#                             no source files in the module <mod> that are required
#                             to be compiled in the application build stage.
#
ifeq ($(cpsw_ut_component_make_include), )

############################
# cpsw_ut package
# List of components included under cpsw_ut
# The components included here are built and will be part of cpsw_ut lib
############################
cpsw_ut_LIB_LIST =
cpsw_ut_EXAMPLE_LIST =


# cpsw unit test app unit_test_framework
cpsw_unit_testapp_COMP_LIST = cpsw_unit_testapp
cpsw_unit_testapp_RELPATH = ti/drv/cpsw/unit_test/test_framework
cpsw_unit_testapp_PATH = $(PDK_CPSW_COMP_PATH)/unit_test/test_framework
cpsw_unit_testapp_BOARD_DEPENDENCY = yes
cpsw_unit_testapp_CORE_DEPENDENCY = yes
cpsw_unit_testapp_XDC_CONFIGURO = yes
export cpsw_unit_testapp_SBL_APPIMAGEGEN = yes
export cpsw_unit_testapp_COMP_LIST
export cpsw_unit_testapp_BOARD_DEPENDENCY
export cpsw_unit_testapp_CORE_DEPENDENCY
export cpsw_unit_testapp_XDC_CONFIGURO
cpsw_unit_testapp_PKG_LIST = cpsw_unit_testapp
cpsw_unit_testapp_INCLUDE = $(cpsw_unit_testapp_PATH)
cpsw_unit_testapp_BOARDLIST = $(drvcpsw_BOARDLIST)
export cpsw_unit_testapp_BOARDLIST

cpsw_unit_testapp_$(SOC)_CORELIST = $(drvcpsw_$(SOC)_CORELIST)

export cpsw_unit_testapp_$(SOC)_CORELIST
cpsw_ut_EXAMPLE_LIST += cpsw_unit_testapp

export cpsw_ut_LIB_LIST
export cpsw_ut_EXAMPLE_LIST

cpsw_ut_component_make_include := 1
endif
