/*
 * $QNXLicenseC:
 * Copyright 2019, QNX Software Systems.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"). You
 * may not reproduce, modify or distribute this software except in
 * compliance with the License. You may obtain a copy of the License
 * at: http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OF ANY KIND, either express or implied.
 *
 * This file may contain contributions from others, either as
 * contributors under the License or as licensors under other terms.
 * Please review this entire file for other proprietary rights or license
 * notices, as well as the QNX Development Suite License Guide at
 * http://licensing.qnx.com/license-guide/ for other information.
 * $
 */

#ifndef _CLK_TI_SCIMGR_H_INCLUDED
#define _CLK_TI_SCIMGR_H_INCLUDED

#include <stdint.h>
#include "ti/drv/sciclient/sciclient.h"
#include "ti/csl/csl_types.h"
#include "ti/drv/sciclient/soc/V1/sciclient_fmwMsgParams.h"

/*
 * The following devctls are used by a client application to access SCI
 */
#include <devctl.h>

 typedef struct
 {
        Sciclient_ReqPrm_t  reqPrm;
        Sciclient_RespPrm_t respPrm;
 } tisci_msg_t;


#define DCMD_TISCI_MESSAGE              __DIOTF(_DCMD_MISC, 0, tisci_msg_t) 

#endif

#if defined(__QNXNTO__) && defined(__USESRCVERSION)
#include <sys/srcversion.h>
__SRCVERSION("$URL$ $Rev$")
#endif

