.PHONY: all

# override the default QNX_TARGET to point to staged mirror
QNX_TARGET=$(PSDK_QNX_PATH)/qnx/qnx710_stage/qnx7

PROFILE ?= release
BOARD ?= j721e_evm

ifeq ($(PROFILE), $(filter $(PROFILE),debug all))
PDK_BUILD_PROFILE_LIST_ALL+=debug
endif
ifeq ($(PROFILE), $(filter $(PROFILE),release all))
PDK_BUILD_PROFILE_LIST_ALL+=release
endif

all:
	########################
	##### Common Stuff #####
	########################
	## create needed dirs
	mkdir -p ${QNX_FS_PATH}/boot
	mkdir -p ${QNX_FS_PATH}/bin
	mkdir -p ${QNX_FS_PATH}/etc/system/config
	mkdir -p ${QNX_FS_PATH}/lib
	mkdir -p ${QNX_FS_PATH}/lib/dll
	mkdir -p ${QNX_FS_PATH}/sbin
	mkdir -p ${QNX_FS_PATH}/usr/bin
	mkdir -p ${QNX_FS_PATH}/usr/sbin
	mkdir -p ${QNX_FS_PATH}/usr/lib
	mkdir -p ${QNX_FS_PATH}/usr/lib/graphics
	mkdir -p ${QNX_FS_PATH}/usr/lib/graphics/jacinto7
	mkdir -p ${QNX_FS_PATH}/tilib
	mkdir -p ${QNX_FS_PATH}/tibin
	mkdir -p ${QNX_FS_PATH}/scripts
	## Other misc QNX binaries
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/ability            ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/cat                ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/cdpub              ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/chgrp              ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/chmod              ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/chown              ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/confstr            ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/cp                 ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/cpio               ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/csplit             ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/dd                 ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/df                 ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/du                 ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/echo               ${QNX_FS_PATH}/bin/
	#cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/in32               ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/isend              ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/isendrecv          ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/kill               ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/ksh                ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/ln                 ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/ls                 ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/mkdir              ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/mount              ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/mv                 ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/on                 ${QNX_FS_PATH}/bin/
	#cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/out32              ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/pidin              ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/ps                 ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/pwd                ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/restart            ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/rm                 ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/sed                ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/sh                 ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/slay               ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/slog2info          ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/slogger2           ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/stty               ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/sync               ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/tar                ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/umount             ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/uname              ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/usblauncher_otg    ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/vi                 ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/waitfor            ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/ptpd_ctrl          ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/sbin/mq                ${QNX_FS_PATH}/sbin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/sbin/mqueue            ${QNX_FS_PATH}/sbin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/sbin/mkdosfs           ${QNX_FS_PATH}/sbin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/bin/which          ${QNX_FS_PATH}/usr/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/bin/nice           ${QNX_FS_PATH}/usr/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/bin/coreinfo       ${QNX_FS_PATH}/usr/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/bin/diff           ${QNX_FS_PATH}/usr/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/bin/find           ${QNX_FS_PATH}/usr/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/bin/grep           ${QNX_FS_PATH}/usr/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/bin/iperf2         ${QNX_FS_PATH}/usr/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/bin/iperf3         ${QNX_FS_PATH}/usr/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/bin/netstat        ${QNX_FS_PATH}/usr/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/sbin/tcpdump       ${QNX_FS_PATH}/usr/sbin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/sbin/ptpd          ${QNX_FS_PATH}/usr/sbin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/sbin/ptpd-avb      ${QNX_FS_PATH}/usr/sbin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/sbin/tracelogger   ${QNX_FS_PATH}/usr/sbin/
	## QNX libs
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/libhiddi.so*        ${QNX_FS_PATH}/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/libm.so*            ${QNX_FS_PATH}/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/libpps.so*          ${QNX_FS_PATH}/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/libslog2.so*        ${QNX_FS_PATH}/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/libmtouch-devi.so*  ${QNX_FS_PATH}/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/libcatalog.so*      ${QNX_FS_PATH}/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/lib/libmq.so*       ${QNX_FS_PATH}/usr/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/lib/libxml2.so*     ${QNX_FS_PATH}/usr/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/lib/libiconv.so*    ${QNX_FS_PATH}/usr/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/lib/libc++.so*      ${QNX_FS_PATH}/usr/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/lib/librpc.so*      ${QNX_FS_PATH}/usr/lib/
	######## screen package start ######
	##### Graphics support - apps
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/screencmd          ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/bin/screeninfo         ${QNX_FS_PATH}/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/sbin/screen            ${QNX_FS_PATH}/sbin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/bin/calib-touch    ${QNX_FS_PATH}/usr/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/bin/events         ${QNX_FS_PATH}/usr/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/bin/egl-configs    ${QNX_FS_PATH}/usr/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/bin/gles1-gears    ${QNX_FS_PATH}/usr/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/bin/gles1-vsync    ${QNX_FS_PATH}/usr/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/bin/gles2-gears    ${QNX_FS_PATH}/usr/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/bin/gles3-gears    ${QNX_FS_PATH}/usr/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/bin/screen-gles2-tools     ${QNX_FS_PATH}/usr/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/bin/screenshot     ${QNX_FS_PATH}/usr/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/bin/sharewin       ${QNX_FS_PATH}/usr/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/bin/sw-vsync       ${QNX_FS_PATH}/usr/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/bin/win-vsync      ${QNX_FS_PATH}/usr/bin/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/sbin/mtouch        ${QNX_FS_PATH}/usr/sbin/
	##### Graphics base libraries
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/dll/libwfdcfg-sample.so    ${QNX_FS_PATH}/lib/dll/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/dll/screen-stdbuf.so       ${QNX_FS_PATH}/lib/dll/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/dll/screen-debug.so        ${QNX_FS_PATH}/lib/dll/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/dll/screen-gles1.so        ${QNX_FS_PATH}/lib/dll/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/dll/screen-gles2.so        ${QNX_FS_PATH}/lib/dll/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/dll/screen-gles2blt.so     ${QNX_FS_PATH}/lib/dll/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/dll/screen-sw.so           ${QNX_FS_PATH}/lib/dll/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/dll/screen-jacinto7-alloc.so       ${QNX_FS_PATH}/lib/dll/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/dll/screen-roguetq-rgx-1.10.so     ${QNX_FS_PATH}/lib/dll/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/libmtouch-devi.so          ${QNX_FS_PATH}/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/libmtouch-fake.so          ${QNX_FS_PATH}/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/libmtouch-hid.so           ${QNX_FS_PATH}/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/libmtouch-inject.so        ${QNX_FS_PATH}/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/libgestures.so.1           ${QNX_FS_PATH}/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/libscrmem.so               ${QNX_FS_PATH}/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/libmemobj.so               ${QNX_FS_PATH}/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/libinputevents.so.1        ${QNX_FS_PATH}/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/libkalman.so.1             ${QNX_FS_PATH}/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/libmtouch-calib.so.1       ${QNX_FS_PATH}/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/libscrmem.so.1             ${QNX_FS_PATH}/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/lib/libmemobj.so.1             ${QNX_FS_PATH}/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/lib/libCL.so               ${QNX_FS_PATH}/usr/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/lib/libfontconfig.so       ${QNX_FS_PATH}/usr/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/lib/libfreetype.so         ${QNX_FS_PATH}/usr/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/lib/libGLESv2.so.1         ${QNX_FS_PATH}/usr/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/lib/libGLESv1_CL.so.1      ${QNX_FS_PATH}/usr/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/lib/libGLESv1_CM.so.1      ${QNX_FS_PATH}/usr/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/lib/libEGL.so.1            ${QNX_FS_PATH}/usr/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/lib/libscreen.so.1         ${QNX_FS_PATH}/usr/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/lib/libswblit.so.1         ${QNX_FS_PATH}/usr/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/lib/libWFD.so.1            ${QNX_FS_PATH}/usr/lib/
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/lib/graphics/jacinto7/*    ${QNX_FS_PATH}/usr/lib/graphics/jacinto7/
	######## screen package end ######
	######## screen package extra ######
	cp -rfL ${QNX_TARGET}/${QNX_ARCH}/usr/lib/graphics/dummy/libWFDdummy.so                                         ${QNX_FS_PATH}/usr/lib/graphics/jacinto7/
	######## screen package extra end ######
	######## bsp ########
	cp -rfL ${PSDK_QNX_PATH}/qnx/bsp/images/ifs-j721e-evm-ti-spl.raw                                                ${QNX_FS_PATH}/qnx-ifs-spl
	cp -rfL ${PSDK_QNX_PATH}/qnx/bsp/images/ifs-j721e-evm-ti.raw                                                    ${QNX_FS_PATH}/QNX-IFS
	######## bsp end ########
	######## ti bins & libs ######
	cp -rfL $(PSDK_QNX_PATH)/qnx/resmgr/sciclient_qnx_rsmgr/build/aarch64le-release/tisci-mgr                       $(QNX_FS_PATH)/tibin/
	cp -rfL $(PSDK_QNX_PATH)/qnx/resmgr/ipc_qnx_rsmgr/resmgr/build/aarch64le-release/tiipc-mgr                      $(QNX_FS_PATH)/tibin/
	cp -rfL $(PSDK_QNX_PATH)/qnx/sharedmemallocator/resmgr/aarch64/o.le/shmemallocator                              $(QNX_FS_PATH)/tibin/
	cp -rfL $(PSDK_QNX_PATH)/qnx/resmgr/udma_qnx_rsmgr/resmgr/build/aarch64le-release/tiudma-mgr                    $(QNX_FS_PATH)/tibin/
	cp -rfL $(PSDK_QNX_PATH)/qnx/devnp/cpsw2g/aarch64/dll.le/devnp-cpsw2g.so                                        $(QNX_FS_PATH)/tilib/
	cp -rfL $(PSDK_QNX_PATH)/qnx/devnp/cpsw9g/aarch64/dll.le/devnp-cpsw9g.so                                        $(QNX_FS_PATH)/tilib/
	cp -rfL $(PSDK_QNX_PATH)/qnx/devnp/cpsw2g_old/aarch64/dll.le/devnp-cpsw2g_old.so                                $(QNX_FS_PATH)/tilib/
	######## ti pdk qnx test bin ######
	cp -rfL ${PSDK_QNX_PATH}/qnx/examples/ipc/ipc_test_qnx/build/${QNX_ARCH}-release/ipc_test                       ${QNX_FS_PATH}/tibin/
	cp -rfL ${PSDK_QNX_PATH}/qnx/examples/udma/udma_memcpy_test_qnx/build/${QNX_ARCH}-release/udma_memcpy_testapp   ${QNX_FS_PATH}/tibin/
	cp -rfL ${PSDK_QNX_PATH}/qnx/examples/sciclient/sciclient_qnx_app/build/${QNX_ARCH}-release/sciclient_app       ${QNX_FS_PATH}/tibin/
	cp -rfL ${PSDK_QNX_PATH}/qnx/examples/osal/sem_test/build/${QNX_ARCH}-release/osal_sem_testapp                  ${QNX_FS_PATH}/tibin/
	cp -rfL ${PSDK_QNX_PATH}/qnx/examples/gpio/build/${QNX_ARCH}-release/gpio                                       ${QNX_FS_PATH}/tibin/
	cp -rfL ${PSDK_QNX_PATH}/qnx/examples/crypto/decrypt_app/build/${QNX_ARCH}-release/decrypt_app                  ${QNX_FS_PATH}/tibin/
	cp -rfL ${PSDK_QNX_PATH}/qnx/examples/cpsw/ptp_test/build/${QNX_ARCH}-release/ptp_test                          ${QNX_FS_PATH}/tibin/
	######## ti pdk qnx test bin end ######
	#### copy scripts & extra ####
	# This update the user.sh script which is invoked from the .build file, as well as overwriting
	# the graphics.conf that is use
	cp -rfL ${PSDK_QNX_PATH}/qnx/scripts/user.sh                        ${QNX_FS_PATH}/scripts/
	cp -rfL ${PSDK_QNX_PATH}/qnx/scripts/user__dss_on_a72.sh            ${QNX_FS_PATH}/scripts/
	cp -rfL ${PSDK_QNX_PATH}/qnx/scripts/user__dss_on_r5.sh             ${QNX_FS_PATH}/scripts/
	cp -rfL ${PSDK_QNX_PATH}/qnx/scripts/usr/*                          ${QNX_FS_PATH}/usr/
	cp -rfL ${PSDK_QNX_PATH}/qnx/scripts/start_qconn_with_usb-asix.sh   ${QNX_FS_PATH}/scripts/
	cp -rfL ${PSDK_QNX_PATH}/qnx/scripts/start_qconn_with_devnp-cpsw2g.sh  ${QNX_FS_PATH}/scripts/
	#### copy scripts & extra - end ####
	###### PSDKLA Boot Binaries #########
	cp ${LINUX_FS_BOOT_PATH}/tiboot3.bin                                ${QNX_FS_PATH}/
	cp ${LINUX_FS_BOOT_PATH}/sysfw.itb                                  ${QNX_FS_PATH}/
	cp ${LINUX_FS_BOOT_PATH}/tispl.bin                                  ${QNX_FS_PATH}/
	cp ${LINUX_FS_BOOT_PATH}/u-boot.img                                 ${QNX_FS_PATH}/
	# Add the uEnv.txt to load the QNX-IFS
	cp -rfL ${PSDK_QNX_PATH}/qnx/scripts/u-boot/uEnv.txt                ${QNX_FS_PATH}/uEnv.txt
